﻿using System.Windows;

using DevExpress.Xpf.Bars;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.textBarEditItem.EditValueChanged += textBarEditItem_EditValueChanged;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Copy 막대 버튼 항목 항목 클릭시 처리하기 - copyBarButtonItem_ItemClick(sender, e)

        /// <summary>
        /// Copy 막대 버튼 항목 항목 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void copyBarButtonItem_ItemClick(object sender, ItemClickEventArgs e)
        {
            MessageBox.Show((e.Item.Content as string) + " 항목이 클릭되었습니다.");
        }

        #endregion
        #region Bold 막대 체크 항목 체크 변경시 처리하기 - boldBarCheckItem_CheckedChanged(sender, e)

        /// <summary>
        /// Bold 막대 체크 항목 체크 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void boldBarCheckItem_CheckedChanged(object sender, ItemClickEventArgs e)
        {
            BarCheckItem barCheckItem = e.Item as BarCheckItem;

            string content = e.Item.Content as string;

            if(barCheckItem.IsChecked.Value)
            {
                MessageBox.Show(content + " 항목이 체크되었습니다.");
            }
            else
            {
                MessageBox.Show(content + " 항목이 체크 해제되었습니다.");
            }
        }

        #endregion
        #region 텍스트 막대 편집 항목 편집 값 변경시 처리하기 - textBarEditItem_EditValueChanged(sender, e)

        /// <summary>
        /// 텍스트 막대 편집 항목 편집 값 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void textBarEditItem_EditValueChanged(object sender, RoutedEventArgs e)
        {
            BarEditItem barEditItem = sender as BarEditItem;

            MessageBox.Show(barEditItem.EditValue.ToString());
        }

        #endregion
    }
}